WordPress 5.8.1 – Actualización de seguridad y mantenimiento

CATEGORÍA:

 Wordpress
FECHA: 13/09/2021

PUNTUACIÓN: 

5/5 - (3 votos)

¡Ya está disponible WordPress 5.8.1!

Esta versión de seguridad y mantenimiento contiene 60 correcciones a fallos, además de 3 correcciones de seguridad. Por este motivo que es una actualización de seguridad, se recomienda que actualices tus sitios inmediatamente. Todas las versiones desde WordPress 5.4 se han actualizado también.

WordPress 5.8.1 es una versión de seguridad y mantenimiento de ciclo corto. La siguiente versión mayor será la 5.9.

Ayuda

Puedes descargar WordPress 5.8.1 desde es.WordPress.org o visitar tu Escritorio → Actualizaciones y hacer clic en Actualizar ahora.

Si tienes sitios compatibles con actualizaciones automáticas en segundo plano, ya se está empezando el proceso de actualización.

Actualizaciones de seguridad

3 problemas de seguridad afectan a las versiones entre la 5.4 y la 5.8 de WordPress. Si aún no has actualizado a la 5.8, todas las versiones de WordPress desde la 5.4 también se han actualizado para corregir los siguientes problemas de seguridad:

Actualizaciones de mantenimiento

WordPress 5.8.1 Release Candidate 1 presenta  41 correcciones de errores en Core, así como  20 correcciones de errores para el Editor de bloques.

Los siguientes tickets principales de Trac están fijos:

  • # 52818  – Pedido de metaboxes rotos en WP 5.7
  • # 53556  – Agregar una nueva etiqueta de edición de plantillas a la API de temas
  • # 53562  – El editor de widgets en el personalizador no se carga con las pruebas E2E + animaciones 0ms
  • # 53609  – Incrustaciones de bloques de widgets receptivos que no se muestran en el personalizador
  • # 53616  – Los estilos de bloque registrados solo deben renderizarse cuando el bloque existe en una página
  • # 53641  – No se puede configurar el widget de imagen (y otros) en el modo de accesibilidad del widget
  • # 53654  – Menús: oculta las opciones de selección masiva cuando no existen menús
  • # 53667  – Soporte  wp_editor_set_quality para mime_types cargados y guardados
  • # 53668  – Las imágenes generadas para un archivo se pueden sobrescribir por otro con el mismo nombre al mapear tipos de mime para imágenes generadas
  • # 53679  – La biblioteca de medios parece rota en el móvil
  • # 53680  – Documentación en línea correcta sobre  IMAGETYPE_WEBP y IMG_WEBP 
  • # 53696  – wp_add_iframed_editor_assets_html () no busca el editor de bloques
  • # 53697  – Posible regresión: la configuración del borde no se muestra para el bloque de botones
  • # 53702  – Cuatro archivos CSS eliminados entre 5.7.xy 5.8 no se incluyeron en $ _old_files
  • # 53713  – Versión de rebote de underscore.js en script-loader
  • # 53714  – Bounce jquery.form.js versión en script-loader
  • # 53715  – Bounce hoverIntent.js versión en script-loader
  • # 53716  – Falta la “/” al final de la etiqueta de la imagen
  • # 53719  – grunt clear:css no limpia la carpeta css/list
  • # 53738  – Bucle roto en WP_Theme_JSON_Resolver
  • # 53752  – Veinte diez: el archivo de patrones de bloque provoca errores en los temas secundarios
  • # 53757  – El editor de widgets llama a get_block_categories () con un tipo de argumento incorrecto
  • # 53769  – Temas incluidos : el archivo block-patterns.php debe usarse en get_templete_directory_uri lugar de get_stylesheet_directory_uri
  • # 53773  – La línea de archivo /wp-admin/includes/ajax-actions.php 3006 está creando un error de división por cero
  • # 53777  – Bump versiones de temas empaquetados para
  • # 53799  – Eliminar la verificación de archivos controlados por versión del flujo de trabajo Probar ramas antiguas
  • # 53803  – Personalizador: botón de opción en el selector de posición de la imagen de fondo visible en el foco
  • # 53820  – La compilación no es compatible con Docker Compose V2
  • # 53827  – Aumentar el número de elementos multimedia que se muestran al hacer clic en el botón “Cargar más”
  • # 53830  – Los filtros predeterminados intentan crear nonce durante la instalación antes de que exista la tabla de opciones
  • # 53833  – ‘Reemplazar imagen’ Media Modal no tiene campos de selección debajo de los medios de filtro debido a problemas de CSS
  • # 53877  – Menús: las ubicaciones de visualización seleccionadas para los nuevos menús no se guardan
  • # 53898  – Plantillas 404 duplicadas en TemplatePanel
  • # 53922  – Docblock en la función get_block_editor_settings
  • # 53932  – La vista de cuadrícula de medios no muestra todos los elementos de medios
  • # 53936  – La salida de serialize_block_attributes no coincide con la función de Gutenberg equivalente
  • # 53955  – Corrija y mejore los documentos para el filtro image_editor_output_format
  • # 54030  – Al presionar esc en el editor de widgets se cierra el panel en el personalizador
  • # 54036  – PclZip arroja errores en PHP 8 – el parche previamente combinado está incompleto
  • # 54052  – Actualizaciones del paquete del editor de bloques para 5.8.1

Se corrigieron problemas del editor de bloques de GitHub:

  • PR33384  – Corregir documentos de API para guías de referencia de datos
  • PR33381  – Documentos: use encabezados de rebajas en lugar de enlaces para declaraciones de API
  • PR33498  – Documentos: ejecute Prettier después de actualizar la API en la documentación
  • PR33549  : use pestañas en lugar de espacios en el ejemplo de documento de transformación de bloques
  • PR30617  – Corregido reordenamiento de metabox
  • PR32083  – Editor de bloques: mueva los estilos de diseño al encabezado del documento (en lugar de renderizar en línea)
  • PR33814  – Widgets: permitir etiquetas HTML en la descripción
  • PR33457  – Editor: establezca ‘hide_empty’ para la consulta de términos más utilizados
  • PR33482  : actualice los enlaces de ayuda del editor de widgets para que apunten al nuevo artículo de soporte
  • PR33621  – Se corrigió que se seleccionara el bloque en lugar del título cuando se usaba el atajo de seleccionar todo.
  • PR33699  – Flujo de escritura: seleccionar todo: eliminar la devolución anticipada del título de la publicación
  • PR33618  – Llamar a onChangeSectionExpanded condicionalmente
  • PR33679  – FontSizePicker : use valores numéricos cuando el valor inicial sea un número
  • PR33739  – Corregir la justificación para el bloque de botones cuando se selecciona
  • PR33771  – Agregar límites de error a las pantallas de widgets
  • PR33802  – Corregido punto de inserción en editores de widgets
  • PR34280  – Procesador de lotes predeterminado: respete los artículos maxItems del extremo del lote
  • PR34314  – Corregir la trampa de enfoque del bloque de botones después de que se haya agregado una URL
  • PR34076  – El texto de los campos desplegables dentro de los widgets heredados en el Personalizador está descentrado
  • PR32935  – Agregue un componente SearchControl y reutilícelo en la interfaz de usuario (cambio de clase en las pruebas).

Lista de ficheros revisados:

license.txt
wp-admin/about.php
wp-admin/customize.php
wp-admin/edit-form-blocks.php
wp-admin/includes/ajax-actions.php
wp-admin/includes/class-custom-background.php
wp-admin/includes/class-pclzip.php
wp-admin/includes/theme.php
wp-admin/includes/update-core.php
wp-admin/js/customize-controls.js
wp-admin/js/customize-controls.min.js
wp-admin/js/editor-expand.js
wp-admin/js/editor-expand.min.js
wp-admin/js/editor.js
wp-admin/js/editor.min.js
wp-admin/js/widgets/custom-html-widgets.js
wp-admin/js/widgets/custom-html-widgets.min.js
wp-admin/js/widgets/media-widgets.js
wp-admin/js/widgets/media-widgets.min.js
wp-admin/nav-menus.php
wp-admin/widgets-form-blocks.php
wp-includes/assets/script-loader-packages.php
wp-includes/block-editor.php
wp-includes/blocks.php
wp-includes/class-wp-customize-widgets.php
wp-includes/class-wp-editor.php
wp-includes/class-wp-image-editor.php
wp-includes/class-wp-theme-json-resolver.php
wp-includes/class-wp-theme-json.php
wp-includes/compat.php
wp-includes/css/dist/block-editor/style-rtl.css
wp-includes/css/dist/block-editor/style-rtl.min.css
wp-includes/css/dist/block-editor/style.css
wp-includes/css/dist/block-editor/style.min.css
wp-includes/css/dist/edit-widgets/style-rtl.css
wp-includes/css/dist/edit-widgets/style-rtl.min.css
wp-includes/css/dist/edit-widgets/style.css
wp-includes/css/dist/edit-widgets/style.min.css
wp-includes/css/dist/widgets/style-rtl.css
wp-includes/css/dist/widgets/style-rtl.min.css
wp-includes/css/dist/widgets/style.css
wp-includes/css/dist/widgets/style.min.css
wp-includes/css/media-views-rtl.css
wp-includes/css/media-views-rtl.min.css
wp-includes/css/media-views.css
wp-includes/css/media-views.min.css
wp-includes/customize/class-wp-customize-background-position-control.php
wp-includes/functions.php
wp-includes/general-template.php
wp-includes/images/crystal/license.txt
wp-includes/js/dist/block-editor.js
wp-includes/js/dist/block-editor.min.js
wp-includes/js/dist/block-library.js
wp-includes/js/dist/block-library.min.js
wp-includes/js/dist/components.js
wp-includes/js/dist/components.min.js
wp-includes/js/dist/core-data.js
wp-includes/js/dist/core-data.min.js
wp-includes/js/dist/customize-widgets.js
wp-includes/js/dist/customize-widgets.min.js
wp-includes/js/dist/data.js
wp-includes/js/dist/edit-post.js
wp-includes/js/dist/edit-post.min.js
wp-includes/js/dist/edit-widgets.js
wp-includes/js/dist/edit-widgets.min.js
wp-includes/js/dist/editor.js
wp-includes/js/dist/editor.min.js
wp-includes/js/media-models.js
wp-includes/js/media-models.min.js
wp-includes/js/quicktags.js
wp-includes/js/quicktags.min.js
wp-includes/js/tinymce/plugins/wordpress/plugin.js
wp-includes/js/tinymce/plugins/wordpress/plugin.min.js
wp-includes/js/tinymce/wp-tinymce.js
wp-includes/script-loader.php
wp-includes/theme.json
wp-includes/version.php

Recomendamos encarecidamente actualizar la versión actual de nuestros clientes a la 5.8.1. Nuestros clientes de mantenimiento web ya disfrutan de la versión de WordPress 5.8.1 instalada en sus sitios web.

5/5 - (3 votos)
Ayuda